summaryrefslogtreecommitdiff
path: root/source4/lib/ldb/tests/test-schema.sh
diff options
context:
space:
mode:
authorSimo Sorce <idra@samba.org>2005-01-19 22:56:14 +0000
committerGerald (Jerry) Carter <jerry@samba.org>2007-10-10 13:09:00 -0500
commitbc2ae4e4cd96311a028486cac78960142e9b41c5 (patch)
treeef809738c20320818696fc83acde4dd918c88fb8 /source4/lib/ldb/tests/test-schema.sh
parent23f92c16349a3142012e54afc3854c469f32a165 (diff)
downloadsamba-bc2ae4e4cd96311a028486cac78960142e9b41c5.tar.gz
samba-bc2ae4e4cd96311a028486cac78960142e9b41c5.tar.bz2
samba-bc2ae4e4cd96311a028486cac78960142e9b41c5.zip
r4862: - better structure schema tests
- fix check for deletion of required attributes on modify removed by mistake with the previous commits (This used to be commit 0315159daf157b64ef3452372dd74199600e24b8)
Diffstat (limited to 'source4/lib/ldb/tests/test-schema.sh')
-rwxr-xr-xsource4/lib/ldb/tests/test-schema.sh19
1 files changed, 16 insertions, 3 deletions
diff --git a/source4/lib/ldb/tests/test-schema.sh b/source4/lib/ldb/tests/test-schema.sh
index 5423c7eff9..08595a0a9c 100755
--- a/source4/lib/ldb/tests/test-schema.sh
+++ b/source4/lib/ldb/tests/test-schema.sh
@@ -7,13 +7,26 @@ rm -f schema.ldb
echo "LDB_URL: $LDB_URL"
echo "Adding schema"
-$VALGRIND bin/ldbadd tests/schema.ldif || exit 1
+$VALGRIND bin/ldbadd tests/schema-tests/schema.ldif || exit 1
echo "Adding few test elements (no failure expected here)"
-$VALGRIND bin/ldbadd tests/schema-add-test.ldif || exit 1
+$VALGRIND bin/ldbadd tests/schema-tests/schema-add-test.ldif || exit 1
echo "Modifying elements (2 failures expected here)"
-$VALGRIND bin/ldbmodify tests/schema-mod-test.ldif
+
+$VALGRIND bin/ldbmodify tests/schema-tests/schema-mod-test-1.ldif || exit 1
+$VALGRIND bin/ldbmodify tests/schema-tests/schema-mod-test-2.ldif || exit 1
+$VALGRIND bin/ldbmodify tests/schema-tests/schema-mod-test-3.ldif || exit 1
+$VALGRIND bin/ldbmodify tests/schema-tests/schema-mod-test-4.ldif
+if [ "$?" == "0" ]; then
+ echo "test failed!"
+ exit 1
+fi
+$VALGRIND bin/ldbmodify tests/schema-tests/schema-mod-test-5.ldif
+if [ "$?" == "0" ]; then
+ echo "test failed!"
+ exit 1
+fi
echo "Showing modified record"
$VALGRIND bin/ldbsearch '(cn=Test)' || exit 1